Skip site navigation (1) Skip section navigation (2)

Psycopg 2.4.3 released

From: Daniele Varrazzo <daniele(dot)varrazzo(at)gmail(dot)com>
To: pgsql-announce(at)postgresql(dot)org
Subject: Psycopg 2.4.3 released
Date: 2011-12-12 12:02:46
Message-ID: CA+mi_8a7HX_=P49735PWqLLpmyKwEYRtMeC5WTZJLu+Z0_JnQg@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-announce
Hello,

Psycopg 2.4.3 has been released. This is mostly a bugfix release, but
there are couple of small features too:

  - added support for array of hstore and of composite types
  - the connect() function now accepts any keyword, passing them to the libpq
    (previously it was possible to specify any parameter as a connection string,
    but adding the keywords support makes easier to use them with
    higher level libraries in between, such as SQLAlchemy)

For a full list of bug fixes, please check the release notes at
<http://initd.org/psycopg/articles/2011/12/12/psycopg-243-released/>.

----

Psycopg is the most popular PostgreSQL adapter for the Python
programming language. At its core it fully implements the Python DB
API 2.0 specifications. Several extensions allow access to many of the
features offered by PostgreSQL.

pgsql-announce by date

Next:From: Clark C. EvansDate: 2011-12-16 02:12:36
Subject: HTSQL 2.2 -- A Query Language for the Accidental Programmer
Previous:From: David FetterDate: 2011-12-12 05:56:41
Subject: == PostgreSQL Weekly News - December 11 2011 ==

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group